<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>GCPM string-set on element with display: none</title>
	<link rel="help" href="http://www.w3.org/TR/css-gcpm-3/#setting-named-strings-the-string-set-pro">
	<meta name="assert" content="Test checks that a named string can be set to the content of the before pseudo-element which contains a counter">
	<style>
		@page {
			@top-center {
				content: string(title);
			}
		}

		h1 {
			string-set: title content();
			display: none;
		}
	</style>
</head>
<body>
<h1>Chapter Title</h1>
<p>Test passes if “Chapter Title” appears in the running head at the top of the page.</p>
</body>
</html>
